#include <iostream>
#include <string>
#include <cmath>

int main(){
    std::ios::sync_with_stdio(false);
    std::cin.tie(0);
    std::cout.tie(0);
    std::cerr.tie(0);

    int a1, a2;
    std::string input;

    getline(std::cin, input);

    std::cin >> a1 >> a2;

    if(std::abs(a1-a2)>1){
        std::cout << "nemoguce";
    }else{
        if(a1 >= a2){
            for(int i=0;i<a1+a2;++i){
                std::cout << input[i%2];
            }
        }else{
            for(int i=1;i<a1+a2+1;++i){
                std::cout << input[i%2];
            }
        }
    }

    return 0;
}